Bug 40065 - cyradm does not accept option -file
cyradm does not accept option -file
Status: CLOSED WONTFIX
Product: Red Hat Powertools
Classification: Retired
Component: cyrus-imapd (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-10 07:46 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 12:50:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-10 07:46:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2smp i686; Nav)

Description of problem:
RH7.1 powertools contain a cyradm command. According to the man page and to
older versions of cyrus-imapd, this command supports a -file argument.
which can be used to execute tcl batch jobs on the server.
The cyradm command included in RH7.1 does not support this option.

How reproducible:
Always

Steps to Reproduce:
1. Create an even empty text file, as "/tmp/file.tcl"
2. Run: cyradm -file "/tmp/file.tcl"


Actual Results:  Unknown option: file
imclient_connect: unknown host "/tmp/file.tcl" at
/usr/lib/perl5/site_perl/5.6.0/i386-linux/Cyrus/IMAP/Admin.pm line 62.

Expected Results:  read the commands stored in "/tmp/file.tcl" and execute
them.


Additional info:
Comment 1 Ivo Clarysse 2001-05-16 10:35:20 EDT
In the source tree, in cyradm/README, is stated: "We no longer support the TCL
version of Cyradm; this is just here for people who may need it for legacy purposes"

So it appears /usr/share/man/man1/cyradm.1.gz is outdated.  The cyradm included
in cyrus-imapd-2.0.x is just a wrapper around a Perl module, and the manpage for
this is /usr/share/man/man3/Cyrus::IMAP::Shell.3pm.gz).  

In the Cyrus::IMAP::Shell manpage, the following is suggested:

 perl -MCyrus::IMAP::Shell -e 'run("myscript")'

Comment 2 David Lawrence 2003-05-16 12:50:18 EDT
Closing as WONTFIX due to end of life of the Power Tools product line. Please
open a new bug report under the Red Hat Linux product if the component is still
included in the base Red Hat distribution.

Note You need to log in before you can comment on or make changes to this bug.